Bug 98208 - eth[1-N] interfaces reported twice in ifconfig
eth[1-N] interfaces reported twice in ifconfig
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: net-tools (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
QU3
:
Depends On:
Blocks: 87937
  Show dependency treegraph
 
Reported: 2003-06-27 18:39 EDT by Eric Schwartz
Modified: 2015-03-04 20:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 11:38:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Schwartz 2003-06-27 18:39:48 EDT
Description of problem:
ifconfig displays information for interfaces from eth1-ethN twice:

# /sbin/ifconfig       
eth0      Link encap:Ethernet  HWaddr 00:30:6E:4A:80:9A  
          inet addr:10.101.0.109  Bcast:10.255.255.255  Mask:255.0.0.0
          UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
          RX packets:1624 errors:0 dropped:0 overruns:0 frame:0
          TX packets:50 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:148222 (144.7 Kb)  TX bytes:18858 (18.4 Kb)
          Interrupt:56 

eth1      Link encap:Ethernet  HWaddr 00:30:6E:2B:3C:04  
          inet addr:10.100.100.25  Bcast:10.255.255.255  Mask:255.0.0.0
          UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
          RX packets:79 errors:0 dropped:0 overruns:0 frame:0
          TX packets:8 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:10634 (10.3 Kb)  TX bytes:3692 (3.6 Kb)
          Interrupt:88 

eth3      Link encap:Ethernet  HWaddr 00:02:B3:BE:60:70  
          inet addr:10.100.100.78  Bcast:10.255.255.255  Mask:255.0.0.0
          UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
          RX packets:386 errors:0 dropped:0 overruns:0 frame:0
          TX packets:15 errors:0 dropped:0 overruns:8 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:35424 (34.5 Kb)  TX bytes:7242 (7.0 Kb)
          Interrupt:68 Base address:0x1000 

eth4      Link encap:Ethernet  HWaddr 00:02:B3:BC:85:BE  
          inet addr:10.100.100.40  Bcast:10.255.255.255  Mask:255.0.0.0
          UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
          RX packets:554 errors:0 dropped:0 overruns:0 frame:0
          TX packets:15 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100 
          RX bytes:50644 (49.4 Kb)  TX bytes:6164 (6.0 Kb)
          Interrupt:72 

eth1      Link encap:Ethernet  HWaddr 00:30:6E:2B:3C:04  
          inet addr:10.100.100.25  Bcast:10.255.255.255  Mask:255.0.0.0
          UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
          Interrupt:88 

eth3      Link encap:Ethernet  HWaddr 00:02:B3:BE:60:70  
          inet addr:10.100.100.78  Bcast:10.255.255.255  Mask:255.0.0.0
          UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
          Interrupt:68 Base address:0x1000 

eth4      Link encap:Ethernet  HWaddr 00:02:B3:BC:85:BE  
          inet addr:10.100.100.40  Bcast:10.255.255.255  Mask:255.0.0.0
          UP BROADCAST NOTRAILERS RUNNING  MTU:1500  Metric:1
          Interrupt:72 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:10 errors:0 dropped:0 overruns:0 frame:0
          TX packets:10 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:700 (700.0 b)  TX bytes:700 (700.0 b)


Version-Release number of selected component (if applicable):
1.60-3

How reproducible:
100%

Steps to Reproduce:
1. Installed an everest with 17 interfaces, all DHCP
2. Connected network cables to eth0, eth1, eth3, eth4
3. /etc/init.d/network stop; /etc/init.d/network start
4. /sbin/ifconfig
    
Actual results:
eth1, eth3, eth4 displayed twice.

Expected results:
Only displayed once.

Additional info:
Comment 1 Larry Troan 2003-07-30 22:17:14 EDT
Issue Tracker 26389 opened as sev 1.
Note that this bug does not meet a severity 1 definition. It is at most a sev 2.
and possibly a sev 3. 
Comment 2 Larry Troan 2003-08-19 12:55:13 EDT
Event posted 08-13-2003 04:59pm by charline.polifka with duration of 0.00      
 Severity set to: High
Comment 3 Glen A. Foster 2003-08-25 17:32:45 EDT
It is definitely NOT a sev-3, so leave it at a sev-2. The magic words are
BLOCKER QU3.
Comment 4 Phil Knirsch 2003-09-01 05:32:25 EDT
No worries, folks. The patch has been included in net-tools-1.60-4 and later and
the errata version for QU3 is based on net-tools-1.60-19.

Read ya, Phil
Comment 5 Suzanne Hillman 2003-10-06 13:54:23 EDT
As per Comment #3, added to the U3 blocker bug list.
Comment 6 Larry Troan 2003-10-20 17:40:24 EDT
NOT ON SUE'S MUSTFIX LIST BUT FIX-PENDING. LEAVING AS U3 BLOCKER.
Comment 10 Glen A. Foster 2003-12-16 11:38:07 EST
This appears fixed in RHEL2.1 update 3 -- closing

Note You need to log in before you can comment on or make changes to this bug.